import { Controller, type EventListenerTarget, type ReactiveElement } from '@a11d/lit';
import { ResizeController } from '@3mo/resize-observer';
export interface PointerHoverControllerOptions {
    target?: EventListenerTarget;
    handleHoverChange?(hover: boolean): void;
}
export declare class PointerHoverController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerHoverControllerOptions | undefined;
    protected _hover: boolean;
    get hover(): boolean;
    constructor(host: ReactiveElement, options?: PointerHoverControllerOptions | undefined);
    protected readonly resizeController: ResizeController<Promise<void>>;
    protected checkHover(): Promise<void>;
}
//# sourceMappingURL=PointerHoverController.d.ts.map