import { Controller, type ReactiveElement } from '@a11d/lit';
import { type PointerHoverControllerOptions } from './PointerHoverController.js';
import { type PointerPressControllerOptions } from './PointerPressController.js';
import { type PointerTypeControllerOptions } from './PointerTypeController.js';
export interface PointerControllerOptions extends PointerPressControllerOptions, PointerHoverControllerOptions, PointerTypeControllerOptions {
}
export declare class PointerController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerControllerOptions | undefined;
    constructor(host: ReactiveElement, options?: PointerControllerOptions | undefined);
    get hover(): boolean;
    private readonly hoverController;
    get press(): boolean;
    private readonly pressController;
    get type(): import("./PointerTypeController.js").PointerType;
    private readonly typeController;
}
//# sourceMappingURL=PointerController.d.ts.map